/*
 * roland.h
 * (c) 1989 by Stephen A. Ness.
 * Roland-specific System Exclusive MIDI messages.
 */

#define	M_ID_ROLAND	0x41	/* Manufacturer ID: Roland	*/
#define	DEV_ID_MC	0x10	/* Device ID: multichannel	*/
#define	MOD_ID_D10	0x16	/* Model ID: D-10		*/

/* Commands */
#define	RQ1		0x11	/* Request data, one-way	*/
#define	DT1		0x12	/* Data set, one-way		*/
#define	WSD		0x40	/* Want to send data		*/
#define	RQD		0x41	/* Request data			*/
#define	DAT		0x42	/* Data set			*/
#define	ACK		0x43	/* Acknowledge			*/
#define	EOD		0x45	/* End of data			*/
#define	ERR		0x4E	/* Communication error		*/
#define	RJC		0x4F	/* Rejection			*/

/* end of roland.h */
