/*
 * timer.h
 * (c) 1989 by Stephen A. Ness.
 * Atari ST timer A interrupts.
 */

#if	__STDC__
#define	Of(args)	args
#else
#define	Of(args)	()
#endif

extern	void	pause		Of( (int n) );	/* pause   */
extern	void	timerA_enab	Of( (void) );	/* enable  */
extern	void	timerA_disab	Of( (void) );	/* disable */
extern	void	timerA_int	Of( (void) );	/* handler */

extern	long	timerA;				/* counter */

#define	NTICKS	1000L			/* ticks per second */

/* end of timer.h */
